#
# spec file for package libsigc++2
#
# Copyright (c) 2022-2023 ZhuningOS
#


%define _name libsigc++
Name:           libsigc++2
Version:        2.10.7
Release:        150400.3.3.1
Summary:        Typesafe Signal Framework for C++
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
URL:            http://libsigc.sourceforge.net/
Source0:        https://download.gnome.org/sources/libsigc++/2.10/%{_name}-%{version}.tar.xz
Source99:       baselibs.conf
# PATCH-FIX-OPENSUSE libsigc++2-remove-unnecessary-executable-flag-from-file.patch bsc#1209094 bsc#1209140 qzhao@suse.com -- cancel executable permission for file /usr/share/doc/packages/libsigc-2_0-0/NEWS
Patch0:         libsigc++2-remove-unnecessary-executable-flag-from-file.patch
BuildRequires:  gcc-c++
BuildRequires:  meson >= 0.54.0
BuildRequires:  pkgconfig

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. It is the most
complete library of its kind with the ability to connect an abstract
callback to a class method, function, or function object. It contains
adaptor classes for connection of dissimilar callbacks and has an ease
of use unmatched by other C++ callback libraries.

%package -n libsigc-2_0-0
Summary:        Typesafe Signal Framework for C++
Group:          System/Libraries
Provides:       %{name} = %{version}
Obsoletes:      %{name} < %{version}

%description -n libsigc-2_0-0
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. It is the most
complete library of its kind with the ability to connect an abstract
callback to a class method, function, or function object. It contains
adaptor classes for connection of dissimilar callbacks and has an ease
of use unmatched by other C++ callback libraries.

%package devel
Summary:        Typesafe Signal Framework for C++
Group:          Development/Libraries/C and C++
Requires:       libsigc-2_0-0 = %{version}
Requires:       libstdc++-devel

%description devel
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. It is the most
complete library of its kind with the ability to connect an abstract
callback to a class method, function, or function object. It contains
adaptor classes for connection of dissimilar callbacks and has an ease
of use unmatched by other C++ callback libraries.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
%meson
%meson_build

%install
%meson_install

%check
export MALLOC_CHECK_=2 MALLOC_PERTURB_=$((${RANDOM:-256} % 256))
%meson_test
unset MALLOC_CHECK_ MALLOC_PERTURB_

%post -n libsigc-2_0-0 -p /sbin/ldconfig
%postun -n libsigc-2_0-0 -p /sbin/ldconfig

%files -n libsigc-2_0-0
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libsigc-2.0.so.*

%files devel
%{_libdir}/libsigc-2.0.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/sigc++-2.0
%{_includedir}/sigc++-2.0/

%changelog
